Subject: Re: Makewhatis problem in Man 1.5p-1
From: Federico Lucifredi <[email-masked]>
To: Bruce Jones <[email-masked]>
Cc: [email-masked]
Date: Mon, 24 Apr 2006 14:28:30 -0400

Hello Bruce,
 Thank you for the report. This is a known issue in 1.6c (broken
makewhatis), I must admit I goofed up. The fix is in 1.6d yet to be
released (I did not rush a release containing only that fix as
downstream packagers added fixes of their own promptly, saving me the
effort).

1.6d is meant to clear a number of outstanding bugs, and I am getting a
bit perfectionist trying to address as many as I can, but it shall be
released soon ;-)

best -f

On Fri, 2006-04-21 at 13:59 -1000, Bruce Jones wrote:
> Version info:
> 
> Windows XP Pro SP1
> CYGWIN_NT-5.1 1.5.19(0.150/4/2) 2006-01-20 13:28
> Man 1.5p-1
> 
> The makewhatis shell script generates an error message when $PWD contains a
> space, e.g. "/cygdrive/c/Documents and Settings/username"  The message is:
> 
> /usr/sbin/makewhatis: line 380: cd: /cygdrive/c/Documents: No such file or
> directory
> 
> Apart from the message the script appears to execute correctly.
> 
> Changing line 380 from 'cd $here' to 'cd "$here"' fixes the problem.
> 
> man-1.6c/src/makewhatis.sh (from
> http://primates.ximian.com/~flucifredi/man/) contains the same problem in
> line 394.
> 
> I'm sending to the cygwin list also since it seems Windows systems are more
> likely to have paths with embedded spaces.
> 
> Regards,
> Bruce
> 
-- 

_________________________________________
-- "'Problem' is a bleak word for challenge" - Richard Fish
(Federico L. Lucifredi) - http://www.lucifredi.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/